## gnome-desktop-sharp2 2.26.0

=== debian/changelog ===
gnome-desktop-sharp2 (2.26.0-8) unstable; urgency=low

  * Rebuild with Mono 2.10 for CLR 4.0 transition

 -- Jo Shields <directhex@apebox.org>  Mon, 23 Jan 2012 00:52:20 +0000

gnome-desktop-sharp2 (2.26.0-7) unstable; urgency=medium

  * urgency=medium for FTBFS fix
  * [e20aca8] Convert to 3.0 (quilt)
  * [7259281] Use dh-autoreconf --as-needed instead of doing it manually

 -- Iain Lane <laney@debian.org>  Mon, 05 Dec 2011 18:47:04 +0000

gnome-desktop-sharp2 (2.26.0-6) unstable; urgency=low

  * Reupload to unstable. 

 -- Iain Lane <laney@debian.org>  Tue, 11 Oct 2011 22:52:20 +0100

gnome-desktop-sharp2 (2.26.0-5) experimental; urgency=low

  * Sort-of-NMU upload with Iain Lane's permission.
  * Drop support for gnome-panel 2, as this will go away soon:
    - debian/control: Drop libgnomepanel2.24-cil{,-dev} binary, and
      libpanel-applet2-dev build dependency.
    - Drop debian/libgnomepanel2.24-cil*.
    - Closes: #585843, #638134

 -- Martin Pitt <mpitt@debian.org>  Wed, 07 Sep 2011 15:05:39 +0200

gnome-desktop-sharp2 (2.26.0-4) unstable; urgency=low

  [ Julian Taylor ]
  * [f546713] initial upstream branch
  * [4c01583] Imported Upstream version 2.26.0
  * [b8a15aa] drop unnecessary dependency on libmono-dev
  * [8428624] update Vcs-* fields to point to git

  [ Iain Lane ]
  * [b0a8a14] Standards-Version → 3.9.2, no changes required
  * [30a902b] Run wrap-and-sort

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Tue, 12 Jul 2011 16:27:45 +0100

gnome-desktop-sharp2 (2.26.0-3) unstable; urgency=low

  * debian/patches/04_gnome_desktop_2_soname.patch: Add new patch to update
    the DLLmap to libgnome-desktop's new SONAME
  * debian/source/format: Specify 1.0 explicitly
  * debian/control: Increase Standards-Version to 3.8.4, no changes

 -- Iain Lane <laney@ubuntu.com>  Thu, 29 Apr 2010 23:29:47 +0100

gnome-desktop-sharp2 (2.26.0-2) unstable; urgency=low

  [ Jo Shields ]
  * debian/lib*.install,
    debian/control:
    + Add new unversioned and API-versioned -dev packages containing pkg-config 
      and gapi files
  * debian/rules,
    debian/*.links:
    + Stop renaming and moving pkg-config files from upstream names, since
      we can better control the ABI question with -dev packages and it 
      doesn't make things any easier for users
  * debian/libgnomeprint*,
    debian/control:
    + Kill libgnomeprint-cil (Closes: #542560)
  * debian/control:
    + Use mono-devel 2.4.3 and eliminate individual mono library build-depends
    + Use unversioned -dev packages for GNOME# and Gtk#
    + Add a Conflicts: to libgnome-cil (Closes: #525809)
    + Explicitly add Depends: for -dev packages to pull in their pcfile's 
      Requires: lines (Closes: #521118)

  [ Christopher James Halse Rogers ]
  * debian/ltmain-add-as-needed.patch
    + Add --as-needed magic to ltmain.sh
  * debian/rules:
    + Apply ltmain-add-as-needed.patch after running autoreconf.  This should
      be more robust than copying a patched ltmain.sh from debian/ as ltmain.sh
      is required to be versioned in lock-step with the rest of libtool.      

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 07 Jan 2010 20:00:02 +1100

gnome-desktop-sharp2 (2.26.0-1) unstable; urgency=low

  * New upstream release
  * debian/libnautilusburn2.20-cil.*,
    debian/control:
    + Remove libnautilusburn2.20-cil and build-deps, obsoleted in GNOME 
    + Add myself to Uploaders
  * debian/patches/01_dllmaps.dpatch:
    + Refresh to remove nautilusburn reference and SONAME change
  * debian/rules:
    + Add a get-orig-source rule
    + Bump API version to 2.26
    + Stop renaming the nautilusburn pcfile
  * debian/rules,
    debian/control:
    + Switch compiler to mono-csc for Mono 2.4.2 transition
    + Ensure minimum mono-devel version is 2.4.2
  * debian/control:
    + Update to Standards 3.8.3 (no changes)
    + Fix spelling error Gnome -> GNOME
    + Change section to cli-mono to appease Debian overlords
  * debian/changelog:
    + Change encoding to UTF-8
  * debian/copyright:
    + Update FSF address
  * debian/watch:
    + Remove troublesome uupdate command
  * debian/patches/02_gtkhtml-version.dpatch,
    debian/patches/03_fix_pkg-config_paths.dpatch,
    debian/patches/01_dllmaps.dpatch:
    + Ensure patches all carry a valid description
  * debian/README.source:
    + Include a pointer to dpatch docs

 -- Jo Shields <directhex@apebox.org>  Fri, 25 Sep 2009 22:50:38 +0100

gnome-desktop-sharp2 (2.24.0-5) unstable; urgency=low

  * debian/patches/03_fix_pkg-config_paths.dpatch:
    + Fix library path of rsvg2-sharp-2.18.
    + Replaced idiotic prefix ${pcfiledir}/../.. with @prefix@.

 -- Mirco Bauer <meebey@debian.org>  Thu, 21 May 2009 21:28:27 +0200

gnome-desktop-sharp2 (2.24.0-4) unstable; urgency=low

  * debian/patches/03_fix_pkg-config_paths.dpatch:
    + Fix library path of gtkhtml-sharp-3.16.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 14 May 2009 09:03:25 +0200

gnome-desktop-sharp2 (2.24.0-3) unstable; urgency=low

  * debian/rules:
    + Added missing dh_installcligac calls, caused that the assemblies were
      not installed into the (Mono) GAC. (Closes: #524856)
    + Added dh_clistrip calls.
  * debian/control:
    + Bumped cli-common-dev build-dep to >= 0.5.4, as we are using dh_clistrip
      of it now.

 -- Mirco Bauer <meebey@debian.org>  Sun, 19 Apr 2009 20:37:23 +0200

gnome-desktop-sharp2 (2.24.0-2) unstable; urgency=low

  * Upload to unstable
  * debian/*.install
    debian/*.installcligac:
    + Use late-GAC install now for all libraries as per Debian CLI Policy and
      with that the new locations (/usr/lib/cli instead of /usr/lib/mono).
      This allows us to install multiple versions of a library at the same
      time when an ABI bump was done.
  * debian/*.links:
    + Added unversioned symlinks for all pkg-config files are defined in the
      Debian CLI Policy 3.2.4.
  * debian/control:
    + Use multiple lines for build-deps.

