## gnome-desktop-sharp2 2.26.0-3maemo1

=== debian/changelog ===
gnome-desktop-sharp2 (2.26.0-3maemo1) fremantle; urgency=low

  * Removed some GNOME libraries

 -- Nikita Tsukanov <keks9n@gmail.com>  Sat, 30 Apr 2011 23:59:23 +0400
