=== debian/control ===
Source: gnome-desktop-sharp2
Section: cli-mono
Priority: optional
Maintainer: Nikita Tsukanov <keks9n@gmail.com>
Build-Depends: debhelper7, mono-scratchbox,
 cli-common-dev (>= 0.5.4),
 dpatch,
 libtool,
 autoconf,
 automake,
 mono-devel (>= 2.4.3),
 pkg-config,
 libgtk2.0-dev (>= 2.12.2),
 libglib2.0-dev (>= 2.12.0),
 libgtk2.0-cil-dev,
 libglade2.0-cil-dev,
 gtk-sharp2-gapi (>= 2.12.7),
 libgnome2.0-cil-dev,
 librsvg2-dev (>= 2.22.2),
 libart2.0-cil-dev,
 libgnome-vfs2.0-cil-dev,
 libgtksourceview2.0-dev (>= 2.2.2),
 libvte-dev (>= 0.16.14),
 libwnck-dev (>= 2.23.0),
Standards-Version: 3.8.4
Homepage: http://www.mono-project.com/GtkSharp
Vcs-Svn: svn://svn.debian.org/pkg-cli-libs/packages/gnome-desktop-sharp2/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-cli-libs/packages/gnome-desktop-sharp2/trunk/

Package: librsvg2-2.18-cil
Architecture: all
Suggests: monodoc-gtk2.0-manual
Depends: ${shlibs:Depends}, ${misc:Depends}, ${cli:Depends}
Description: CLI binding for RSVG 2.22
 This package provides the rsvg-sharp assembly that allows CLI (.NET)
 programs to use the RSVG library 2.22.
 .
 GNOME Desktop# 2.24 is a CLI (.NET) language binding for the GNOME 2.24
 desktop libraries.
 .
 This package contains the rsvg-sharp assembly itself

Package: librsvg2-2.0-cil-dev
Architecture: all
Depends: librsvg2-2.18-cil (= ${binary:Version}), ${misc:Depends}
Replaces: librsvg2-cil-dev (<< 2.26.0-2)
Description: CLI binding for RSVG 2.22
 This package provides the rsvg-sharp assembly that allows CLI (.NET)
 programs to use the RSVG library 2.22.
 .
 GNOME Desktop# 2.24 is a CLI (.NET) language binding for the GNOME 2.24
 desktop libraries.
 .
 This package contains development files for the rsvg-sharp library, and should
 be used for compilation

Package: libvte0.16-cil
Architecture: any
Suggests: monodoc-gtk2.0-manual
Depends: ${shlibs:Depends}, ${misc:Depends}, ${cli:Depends}
Description: CLI binding for VTE 0.16
 This package provides the vte-sharp assembly that allows CLI (.NET) programs
 to use the VTE libraries 0.16.
 .
 GNOME Desktop# 2.24 is a CLI (.NET) language binding for the GNOME 2.24
 desktop libraries.
 .
 This package contains the vte-sharp assembly itself

Package: libvte0.16-cil-dev
Architecture: any
Depends: libvte0.16-cil (= ${binary:Version}), libgtk2.0-cil-dev, ${misc:Depends}
Replaces: libvte0.16-cil (<< 2.26.0-2)
Description: CLI binding for VTE 0.16
 This package provides the vte-sharp assembly that allows CLI (.NET) programs
 to use the VTE libraries 0.16.
 .
 GNOME Desktop# 2.24 is a CLI (.NET) language binding for the GNOME 2.24
 desktop libraries.
 .
 This package contains development files for the vte-sharp library, and should
 be used for compilation

Package: libwnck2.20-cil
Architecture: any
Suggests: monodoc-gtk2.0-manual
Depends: ${shlibs:Depends}, ${misc:Depends}, ${cli:Depends}
Description: CLI binding for wnck 2.24
 This package provides the wnck-sharp assembly that allows CLI (.NET) programs
 to use the wnck libraries 2.24.
 .
 GNOME Desktop# 2.24 is a CLI (.NET) language binding for the GNOME 2.24
 desktop libraries.
 .
 This package contains the wnck-sharp assembly itself

Package: libwnck1.0-cil-dev
Architecture: any
Depends: libwnck2.20-cil (= ${binary:Version}), libgtk2.0-cil-dev, ${misc:Depends}
Replaces: libwnck2.20-cil (<< 2.26.0-2)
Description: CLI binding for wnck 2.24
 This package provides the wnck-sharp assembly that allows CLI (.NET) programs
 to use the wnck libraries 2.24.
 .
 GNOME Desktop# 2.24 is a CLI (.NET) language binding for the GNOME 2.24
 desktop libraries.
 .
 This package contains development files for the wnck-sharp library, and should 
 be used for compilation
