=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 #export DH_VERBOSE=1
 export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
 export MONO_SHARED_DIR=$(CURDIR)
+
+include /usr/share/dpatch/dpatch.make
 
 CFLAGS ?= -O2 -Wall -g
 LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
@@ -20,9 +22,8 @@
 
 
 config: config-stamp
-config-stamp:
+config-stamp: 
 	dh_testdir
-	dh_autoreconf --as-needed
 	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure \
 		--prefix=/usr \
 		CSC=/usr/bin/mono-csc \
@@ -41,15 +42,16 @@
 	$(MAKE)
 	touch $@
 
-clean:
+clean: clean-patched 
+clean-patched:
 	dh_testdir
 	dh_testroot
 
 	[ ! -f Makefile ] || $(MAKE) distclean RUNTIME=/usr/bin/cli
 
+
 	rm -rf $(MONO_SHARED_DIR)/.wapi
 
-	dh_autoreconf_clean
 	dh_clean
 
 install:
@@ -124,4 +126,4 @@
 		--force-download \
 		--rename
 
-.PHONY: config build-indep build-arch clean binary-indep binary-arch build binary get-orig-source
+.PHONY: config build-indep build-arch clean binary-indep binary-arch build binary patch get-orig-source
